# Uses of Interface
org.eclipse.emf.cdo.spi.server.InternalTopic

Packages that use InternalTopic
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of InternalTopic in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalTopic
Modifier and Type
Method
Description
`InternalTopic`
InternalTopicManager.`getTopic(String id)`
`InternalTopic`
InternalTopicManager.`getTopic(String id, boolean createOnDemand)`
`InternalTopic[]`
InternalTopicManager.`getTopics()`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type InternalTopic
Modifier and Type
Method
Description
`List<InternalTopic>`
InternalTopicManager.`sessionClosed(InternalSession session)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalTopic
Modifier and Type
Method
Description
`void`
InternalTopicManager.`removeTopic(InternalTopic topic)`
`void`
InternalSession.`sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message)`
`List<Integer>`
InternalSessionManager.`sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message, InternalTopic topic)`
`void`
ISessionProtocol.`sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message)`
`void`
InternalSession.`sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode)`
`void`
InternalSessionManager.`sendRemoteSessionNotification(InternalSession sender, Collection<InternalSession> recipients, InternalTopic topic, byte opcode)`
`void`
ISessionProtocol.`sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode)`